# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue, email, or any other 
method with the owner of this repository before making a change. 

Please note we have a code of conduct, please follow it in all your interactions with the project.

## Pull Request Process

1. Ensure any install or build dependencies are removed before the end of the layer when doing a build.
2. Ensure that your changes comply with the project's coding guidelines and that it's sufficiently documented. 
3. Update the README.md with details of changes to the interface, this includes new environment variables, exposed 
   ports, useful file locations and container parameters.
4. Target the develop branch for your Pull Requests as this is were new changes are introduced. 
4. After being successfully reviewed pull requests will be merged to develop branch and will finally be included in an 
   upcoming release. 

